## org.apache.poi.hssf.record
Class MulRKRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.MulRKRecord

public class MulRKRecord
extends Record

Used to store multiple RK numbers on a row. 1 MulRk = Multiple Cell values. HSSF just converts this into multiple NUMBER records. READ-ONLY SUPPORT!

REFERENCE: PG 330 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` `sid`

Constructor Summary
`MulRKRecord()` Creates new MulRKRecord
`MulRKRecord(short id, short size, byte[] data)` Constructs a MulRK record and sets its fields appropriately.
`MulRKRecord(short id, short size, byte[] data, int offset)` Constructs a MulRK record and sets its fields appropriately.

Method Summary
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getFirstColumn()` starting column (first cell this holds in the row)
`short` `getLastColumn()` ending column (last cell this holds in the row)
`int` `getNumColumns()` get the number of columns this contains (last-first +1)
`double` `getRKNumberAt(int coffset)` returns the rk number for column (coffset = column - field_2_first_col)
`int` `getRow()`
`short` `getSid()` return the non static version of the id for this record.
`short` `getXFAt(int coffset)` returns the xf index for column (coffset = column - field_2_first_col)
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, fillFields, getRecordSize, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### MulRKRecord

    public MulRKRecord()

  Creates new MulRKRecord

### MulRKRecord

    public MulRKRecord(short id,
                       short size,
                       byte[] data)

  Constructs a MulRK record and sets its fields appropriately.

Parameters:
  `id` - id must be 0xbd or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### MulRKRecord

    public MulRKRecord(short id,
                       short size,
                       byte[] data,
                       int offset)

  Constructs a MulRK record and sets its fields appropriately.

Parameters:
  `id` - id must be 0xbd or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of data

Method Detail

### getRow

    public int getRow()

### getFirstColumn

    public short getFirstColumn()

  starting column (first cell this holds in the row)

  Returns:
    first column number

### getLastColumn

    public short getLastColumn()

  ending column (last cell this holds in the row)

  Returns:
    first column number

### getNumColumns

    public int getNumColumns()

  get the number of columns this contains (last-first +1)

  Returns:
    number of columns (last - first +1)

### getXFAt

    public short getXFAt(int coffset)

  returns the xf index for column (coffset = column - field_2_first_col)

  Returns:
    the XF index for the column

### getRKNumberAt

    public double getRKNumberAt(int coffset)

  returns the rk number for column (coffset = column - field_2_first_col)

  Returns:
    the value (decoded into a double)

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### validateSid

    protected void validateSid(short id)

  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

Copyright © 2003 Apache Software Foundation.